Get ProteinVersion by ID
Get a single ProteinVersion by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
protein_version_id
ID of the ProteinVersion.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
chains
The chains and associated amino acid sequences on the protein.
createdAt
DateTime this version was created.
creator
domains
The domains and associated amino acid sequences on the protein.
format
The protein format that defines the structure (domains, chains, interactions) for the protein.
id
ID of the protein version.
name
Name of the protein version.
outOfSync
Indicates if constituent domain or chain entities have changed since the protein was last updated.
outOfSyncReason
Any additional information about why the protein is out of sync.
parent
The parent version of the protein.
protein
The protein that owns this version.
Errors
400
Protein Version Get Request Bad Request Error
403
Protein Version Get Request Forbidden Error
404
Protein Version Get Request Not Found Error
429
Protein Version Get Request Too Many Requests Error
500
Protein Version Get Request Internal Server Error